Subject: Re: [lisp] Fwd: I-D Action: draft-ietf-lisp-introduction-05.txt - Decoupling

From: Ronald Bonica <[email-masked]>
Date: Tue, 7 Oct 2014 20:26:59 +0000

Hi Albert,

I apologize in advance for the slow trickle of comments that you will receive this week. (I am on vacation).

Please consider the following text from draft-ietf-lisp-introduction-05:

"This document describes the LISP architecture, its main operational mechanisms as its design rationale.  It is important to note that this document does not specify or complement the LISP protocol.  The interested reader should refer to the main LISP specifications [RFC6830] and the complementary documents [RFC6831],[RFC6832], [RFC6833],[RFC6834],[RFC6835], [RFC6836] for the protocol  specifications along with the LISP deployment guidelines [RFC7215]."

To me, this means that draft-ietf-lisp-introduction-05 MUST NOT contradict RFC 6830. Now consider the following text from RFC 6830:

"In order to maintain security and stability, Internet protocols typically isolate the control and data planes.  Therefore, user activity cannot cause control-plane state to be created or destroyed.  LISP does not maintain this separation.  The degree to which the loss of separation impacts security and stability is a  topic for experimental observation."

Now, consider the following text from draft-ietf-lisp-introduction-05:

"Decoupled data and control-plane: Separating the data-plane from the control-plane allows them to scale independently and use   different architectural approaches.  This is important given that they typically have different requirements."

                                                                               Ron

> -----Original Message-----
> From: lisp [mailto:[email-masked]] On Behalf Of Albert Cabellos
> Sent: Monday, September 22, 2014 4:41 PM
> To: [email-masked]
> Cc: Damien Saucez
> Subject: [lisp] Fwd: I-D Action: draft-ietf-lisp-introduction-05.txt
> 
> Hi all
> 
> Below you can find the -05 version of draft-ietf-lisp-introduction. We have
> changed the structure and content based on the feedback posted on the list
> 
> We´ll gather more feedback and produce a new version before cut-off,
> please review and comment ASAP.
> 
> Albert
> 
> 
> ---------- Forwarded message ----------
> From:  <[email-masked]>
> Date: Mon, Sep 22, 2014 at 10:06 PM
> Subject: [lisp] I-D Action: draft-ietf-lisp-introduction-05.txt
> To: [email-masked]
> Cc: [email-masked]
> 
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>  This draft is a work item of the Locator/ID Separation Protocol Working
> Group of the IETF.
> 
>         Title           : An Architectural Introduction to the LISP
> Location-Identity Separation System
>         Authors         : Albert Cabellos
>                           Damien Saucez
>         Filename        : draft-ietf-lisp-introduction-05.txt
>         Pages           : 24
>         Date            : 2014-09-22
> 
> Abstract:
>    This document describes the Locator/ID Separation Protocol (LISP)
>    architecture, its main operational mechanisms as well as its design
>    rationale.
> 
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-lisp-introduction/
> 
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-ietf-lisp-introduction-05
> 
> A diff from the previous version is available at:
> http://www.ietf.org/rfcdiff?url2=draft-ietf-lisp-introduction-05
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> lisp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lisp
> 
> _______________________________________________
> lisp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lisp

---

From: Dino Farinacci <[email-masked]>
Date: Tue, 7 Oct 2014 14:03:33 -0700

> "Decoupled data and control-plane: Separating the data-plane from the control-plane allows them to scale independently and use   different architectural approaches.  This is important given that th…

"Isolate" means non-overlapping. But the control-plane and data-plane are generally separated. And in all architectures, when one depends on the other, you have to question how isolated the planes really are.

The statements made in the intro document are general and not detailed, so it is not contradicting what we defer to as more detail in RFC 6830.

Dino

---

From: Ronald Bonica <[email-masked]>
Date: Tue, 7 Oct 2014 21:12:53 +0000

Dino,

The naïve reader (i.e., me) may not understand the subtle difference between the words "isolate" and "separate", especially when applied to routing systems.

Rather than making the blanket statement, it might be a good idea to compare the degree to which the control and forwarding plane are separated in LISP and the degree to which they are separated in push-based routing protocols"

                                                                        Ron

> From: Dino Farinacci [mailto:[email-masked]]
> Sent: Tuesday, October 07, 2014 5:04 PM
> To: Ronald Bonica
> Cc: Albert Cabellos; [email-masked]; Damien Saucez
> Subject: Re: [lisp] Fwd: I-D Action: draft-ietf-lisp-introduction-05.txt -
> Decoupling
> 
> 
> > To me, this means that draft-ietf-lisp-introduction-05 MUST NOT contradict
> RFC 6830. Now consider the following text from RFC 6830:
> >
> > "In order to maintain security and stability, Internet protocols typically
> isolate the control and data planes. Therefore, user activity cannot cause
> control-plane state to be created or destroyed.  LISP does not maintain this
> separation.  The degree to which the loss of separation impacts security and
> stability is a  topic for experimental observation."
> >
> > "Decoupled data and control-plane: Separating the data-plane from the
> control-plane allows them to scale independently and use   different
> architectural approaches.  This is important given that they typically have
> different requirements."
> 
> "Isolate" means non-overlapping. But the control-plane and data-plane are
> generally separated. And in all architectures, when one depends on the
> other, you have to question how isolated the planes really are.
> 
> The statements made in the intro document are general and not detailed, so
> it is not contradicting what we defer to as more detail in RFC 6830.
> 
> Dino

---

From: Florin Coras <[email-masked]>
Date: Tue, 07 Oct 2014 14:24:04 -0700

Ron,

To second Dino's point: both statements are true. There doesn't seem to 
be any contraction. Would you care to elaborate?

Concerning the forwarding and control plane comparison, such discussion 
seems much more fit for the BGP to LISP comparison section in the impact 
document.

Florin

---

From: Dino Farinacci <[email-masked]>
Date: Tue, 7 Oct 2014 14:26:53 -0700

> Rather than making the blanket statement, it might be a good idea to compare the degree to which the control and forwarding plane are separated in LISP and the degree to which they are separated in…

But that is an introduction section. The "degree" means more detail.

Dino

---

From: Luigi Iannone <[email-masked]>
Date: Wed, 8 Oct 2014 10:28:33 +0200

Hi,

I think is fair to state in the intro document that data- and control- planes are “decoupled” in LISP because their instantiation may run on different boxes, but they are not “isolated” because LISP data plane can trigger control plane activity. 

These are well-known LISP facts.

On 07 Oct 2014, at 23:26, Dino Farinacci <[email-masked]> wrote:

[snip]

>> Rather than making the blanket statement, it might be a good idea to compare the degree to which the control and forwarding plane are separated in LISP and the degree to which they are separated i…

AFAICT the intro document is meant to provide an entry level description of the LISP architecture. 
It is not meant to be a "LISP vs any other technology” document.

IMHO, as Florin suggests, the question may or may not fit in the impact document.

ciao

Luigi

---

From: Alberto Rodriguez-Natal <[email-masked]>
Date: Wed, 8 Oct 2014 10:34:06 +0200

On Wed, Oct 8, 2014 at 10:28 AM, Luigi Iannone <[email-masked]> wrote:

> Hi,
>
> I think is fair to state in the intro document that data- and control-
> planes are “decoupled” in LISP because their instantiation may run on
> different boxes, but they are not “isolated” because LISP data plane can
> trigger control plane activity.
>
> I think this is an excellent way to describe it.

Alberto

---

From: Dino Farinacci <[email-masked]>
Date: Wed, 8 Oct 2014 06:29:24 -0700

Agree as well.

Dino

---

From: "Darrel Lewis (darlewis)" <[email-masked]>
Date: Wed, 8 Oct 2014 18:07:10 +0000

> I think this is an excellent way to describe it. 

Agreed.

-Darrel

---

From: Ronald Bonica <[email-masked]>
Date: Sat, 11 Oct 2014 22:54:07 +0000

Folks,

Thanks for the good dialog regarding "decoupling" and "isolation". So far, I glean the following from the email thread:

- LISP decouples the forwarding and control plane, so draft-ietf-lisp-introduction is correct
- LISP does not isolate the control plane from the forwarding plane, so RFC 6830 is also correct

Because both statements are correct and architecturally significant, they *both* should appear in Section 2.1 of draft-ietf-lisp-introduction. Ideally, these two statements should be juxtaposed to one another in order to highlight the difference between "isolation" and "decoupling".

Each statement should include:
	1)  A title (i.e., Decoupled data and control-plane, Non-isolation between data and control plane)
	2)  A sentence or two explaining what it means to be decoupled or non-isolated
	3) A cost/benefit statement

                                                                                      Ron

> From: lisp [mailto:[email-masked]] On Behalf Of Darrel Lewis
> (darlewis)
> Sent: Wednesday, October 08, 2014 2:07 PM
> To: Alberto Rodriguez-Natal
> Cc: Damien Saucez; [email-masked]
> Subject: Re: [lisp] I-D Action: draft-ietf-lisp-introduction-05.txt - Decoupling
> 
> 
> > I think is fair to state in the intro document that data- and control- planes
> are "decoupled" in LISP because their instantiation may run on different
> boxes, but they are not "isolated" because LISP data plane can trigger control
> plane activity.
> >

---

From: Albert Cabellos <[email-masked]>
Date: Mon, 20 Oct 2014 15:08:43 +0200

Hi Ron,

Clearly isolation must not be undersood in strict terms, otherwise
fully isolating the control from the data-plane results in a useless
architecture. This is also what I understand from your comment.

This means that "isolation" must be understood as a degree, "to which
degree are the control and the data-plane isolated?" As such, a
"degree" is not fundamental to an architecture and -in my view- not a
design principle.

Albert